%define upstream_name    Test-Debugger
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Create Test Scripts which Generate Log Files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Have you ever tried to debug a test script that is failing tests? Without
too many modifications, your test script can generate a log file with
information about each failed test.

You can take your existing test script, and with (hopefully) very little
effort, convert it to use Test::Debugger. Then re-run your modified test
and view the log file it creates.

Object-Oriented Interface
    Test::Debugger can be run using exported subroutines, or using an
    object-oriented interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 515109
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 373452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 173884
- imported package perl-Test-Debugger


* Mon Nov 28 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
